local data = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("HonorDB", {value = "0", suffix = "Honor", text = "0" .. "Honor"});
--------------------------------------------------------------------------------
local addon = CreateFrame("Frame");
addon:SetScript("OnUpdate", function(self, elapsed) 
	data.text = GetHonorCurrency() .. " Honor";
	data.value = GetHonorCurrency();
end);
----------------------------------------------------------------
-- Tooltip
function data.OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOMRIGHT")
	GameTooltip:ClearLines()
	
	-- Hk's and Rank
	GameTooltip:AddLine("HonorDB");
	GameTooltip:AddDoubleLine("|cffff2020Honorable Kills", select(1, GetPVPLifetimeStats()));
	GameTooltip:AddDoubleLine("|cffff2020Highest Rank", GetPVPRankInfo(select(2, GetPVPLifetimeStats()), "player"));
	GameTooltip:AddLine("----------------------------------------------------------------");
	-- Arena Points
	GameTooltip:AddDoubleLine("|cffff2020Arena Points", GetArenaCurrency());
	for i = 1, 3 do
		local _, size, rating = GetArenaTeam(i);
		if (size < 1) then break; end
		GameTooltip:AddDoubleLine("|cffff2020" .. size .. "v" .. size, format("%d (%d)", rating, addon:CalcRating(size, rating)));
	end
	
	GameTooltip:Show();
end
----------------------------------------------------------------
function data.OnLeave() GameTooltip:Hide() end
----------------------------------------------------------------
function addon:CalcRating(size, rating)
	local factor, points = { [2] = 0.76, [3] = 0.88, [5] = 1 };
	if (rating <= 1500) then
		points = 0.22 * rating + 14;
	else
		points = 1511.26 / (1 + 1639.28 * math.exp(-0.00412 * rating))
	end
	return math.floor(points * factor[size]);
end